#include <bits/stdc++.h>
using namespace std;
typedef long long ull;

int main()
{
    int t; cin >> t;
    while(t--){
        int n; cin >> n;
        vector<ull> a(n),b(n);
        for(int i=0;i<n;i++)cin>>a[i];
        map<ull,int> mp;
        for(int i=0;i<n;i++){
            cin>>b[i];
            if(i%2==0)mp[b[i]]++;
            else mp[-b[i]]++;
        }
        for(int i=0;i<n;i++){
            if(i%2==0){
                if(mp[a[i]]>0)mp[a[i]]--;
                else {cout << "NE\n"; goto endd;}
            }
            else {
                if(mp[-a[i]]>0)mp[-a[i]]--;
                else {cout << "NE\n"; goto endd;}
            }
        }
        cout << "DA\n";
        endd:;
    }
    return 0;
}